﻿using Syncfusion.DataSource.Extensions;
using Syncfusion.ListView.XForms;
using Syncfusion.ListView.XForms.Control.Helpers;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SfListViewSample
{
    public class Behavior : Behavior<ContentPage>
    {
        SfListView ListView;
        StackLayout StackLayout;
        ContactsViewModel ViewModel;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            ListView = bindable.FindByName<SfListView>("listView");
            StackLayout = bindable.FindByName<StackLayout>("Stack");
            ViewModel = new ContactsViewModel();
            ListView.BindingContext = ViewModel;
            ListView.ItemsSource = ViewModel.contactsinfo;
            ListView.ItemTapped += ListView_ItemTapped;

            base.OnAttachedTo(bindable);
        }

        private void ListView_ItemTapped(object sender, Syncfusion.ListView.XForms.ItemTappedEventArgs e)
        {
            var item = e.ItemData as Contacts;
            item.StackColor = Color.GreenYellow;
        }
    }

}
